package com.brilliance.isc.vo.lg;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetpcrStoreVo extends BaseTransactionVo {

    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private Nidgrp oldnidgrp;
    private String nxtflg= NULLSTR;
    private String extpay= NULLSTR;
    private JSONArray payroList;
    private JSONArray docprbroList;
    private String clmtxts20= NULLSTR;
    private String clmtxt= NULLSTR;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
    }
}
